#!/bin/sh
# Copyright (C)2013 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: make.sh,v 1.2 2013/05/01 17:14:09 babolo Exp $

case "${1}" in
install)
    mount -o remount,rw /dev/sda1
    mkdir -p /usr/local/lib
    install -o root -g root -m 0444 libtransposit.so.0 /usr/local/lib
    rm -f /usr/local/lib/libtransposit.so
    ln -s libtransposit.so.0 /usr/local/lib/libtransposit.so
    ldconfig
    install -o root -g root -m 0444 libtransposit.a /usr/local/lib
    mkdir -p /usr/local/include
    install -o root -g root -m 0444 transposit.h /usr/local/include
    umount /
    ;;
*)
    cc -O2 -fno-strict-aliasing -pipe  -g -Wall -I/usr/local/include -fPIC -c 2sw.c
    cc -O2 -fno-strict-aliasing -pipe  -g -Wall -I/usr/local/include -fPIC -c switch.c
    cc -O2 -fno-strict-aliasing -pipe  -g -Wall -I/usr/local/include -fPIC -shared -Wl,-hlibtransposit.so.0 -o libtransposit.so.0 2sw.o switch.o
    ln -sf libtransposit.so.0 libtransposit.so
    ar cru libtransposit.a 2sw.o switch.o
    ranlib libtransposit.a
    cd tools
    cc -O2 -fno-strict-aliasing -pipe  -g -Wall -I/usr/local/include -c test.c
    cc  -L/usr/local/lib test.o ../libtransposit.a -o test
    ;;
esac
